Driving me CRAZY! Need Eos Utility 2.11 for mk3...

Started Jun 20, 2012 | Discussions thread
Shop cameras & lenses ▾
John_Hoffman
John_Hoffman Contributing Member • Posts: 588
Re: Driving me CRAZY! Need Eos Utility 2.11 for mk3...

Right. Canon hasn't posted yet. Do not understand why OP threw away the CDs he had, that contained the software, to count on a web download. A bird in the hand...

Reply   Reply with quote   Complain
Post (hide subjects) Posted by
Keyboard shortcuts:
FForum PPrevious NNext WNext unread UUpvote SSubscribe RReply QQuote BBookmark MMy threads
Color scheme? Blue / Yellow